# Asterisk Project : Asterisk 12 AGICommand_set variable

Added by wikibot , edited by wikibot on Aug 29, 2013

# SET VARIABLE

### Synopsis

Sets a channel variable.

### Description

Sets a variable to the current channel.

### Syntax

    SET VARIABLE VARIABLENAME VALUE

##### Arguments

- `variablename`
- `value`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown